Bug 565782 - rancid branched but not imported/built for EPEL
Summary: rancid branched but not imported/built for EPEL
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: rancid
Version: el5
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Gary T. Giesen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: UpdatePackage
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-02-16 09:33 UTC by Xavier Bachelot
Modified: 2011-02-09 17:27 UTC (History)
6 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2011-02-01 20:53:48 UTC


Attachments (Terms of Use)

Description Xavier Bachelot 2010-02-16 09:33:49 UTC
As in subject above, rancid is branched for EPEL, but it was neither imported nor built. I would be grateful if you can fix that.

If needed, I can help as either co-maintaining or maintaining the EL branches. I'm primarily interested in the EL-5 branch, but I don't mind taking the EL-4 branch too, if needed. As a side note, the current F12 SRPM rebuilds fine on EL-5.

Comment 1 Xavier Bachelot 2010-03-09 12:29:14 UTC
Gary, it's been almost one month already since I filed the bug. Shall I
request commit privileges on the EL-5 branch ?

Comment 2 Gary T. Giesen 2010-03-29 06:16:32 UTC
Xavier, 

My apologies, I've been tied up with work lately and haven't had enough time for packaging. I was waiting on a some crucial RANCID functionality to be implemented by the developers before I imported this so I didn't risk breaking the "API" with an update. I had branched this for Fedora because that's less of a concern. I'd like to continue holding off on this for now and I'll see if I can make some traction. The functionality in question is the "usercmd" patch, in case you're wondering.

Comment 3 Peter Robinson 2010-07-30 13:27:26 UTC
(In reply to comment #2)
> Xavier, 
> 
> My apologies, I've been tied up with work lately and haven't had enough time
> for packaging. I was waiting on a some crucial RANCID functionality to be
> implemented by the developers before I imported this so I didn't risk breaking
> the "API" with an update. I had branched this for Fedora because that's less of
> a concern. I'd like to continue holding off on this for now and I'll see if I
> can make some traction. The functionality in question is the "usercmd" patch,
> in case you're wondering.    

So has this been done in 2.3.4?

Comment 4 Michael Stahnke 2010-09-15 15:12:21 UTC
Any update on this bug?

Comment 5 David Nalley 2011-01-09 17:54:32 UTC
Just another ping - any update on this bug, Gary? I'd really like to see rancid in EPEL.

Comment 6 Peter Robinson 2011-01-23 14:21:49 UTC
Does anyone know if the expect bug mentioned on the home page is present in RHEL 5? http://www.shrubbery.net/rancid/ 

If someone can confirm either way I can look at whether it will affect the 2.3 series.

Comment 7 Peter Robinson 2011-01-23 14:28:14 UTC
(In reply to comment #6)
> Does anyone know if the expect bug mentioned on the home page is present in
> RHEL 5? http://www.shrubbery.net/rancid/ 
> 
> If someone can confirm either way I can look at whether it will affect the 2.3
> series.

Ignore me, RHEL-5 had 5.43. Will build and push for 5 & 6 shortly.

Comment 8 Fedora Update System 2011-01-23 15:03:04 UTC
rancid-2.3.6-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/rancid-2.3.6-1.el6

Comment 9 Fedora Update System 2011-01-23 15:03:13 UTC
rancid-2.3.6-1.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/rancid-2.3.6-1.fc13

Comment 10 Fedora Update System 2011-01-23 15:03:21 UTC
rancid-2.3.6-1.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/rancid-2.3.6-1.el5

Comment 11 Fedora Update System 2011-01-23 15:03:27 UTC
rancid-2.3.6-1.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/rancid-2.3.6-1.fc14

Comment 12 Peter Robinson 2011-01-23 15:04:58 UTC
Please test and put feedback against the relevant links above so they will get pushed to stable.

Comment 13 Fedora Update System 2011-01-23 17:55:13 UTC
rancid-2.3.6-1.el5 has been pushed to the Fedora EPEL 5 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update rancid'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/rancid-2.3.6-1.el5

Comment 14 Fedora Update System 2011-02-01 20:53:42 UTC
rancid-2.3.6-1.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 15 Fedora Update System 2011-02-01 20:56:20 UTC
rancid-2.3.6-1.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 16 Fedora Update System 2011-02-09 17:25:12 UTC
rancid-2.3.6-1.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 17 Fedora Update System 2011-02-09 17:27:07 UTC
rancid-2.3.6-1.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.